clear all

cd C:\Users\Sandro\Desktop\Data_Archive

import delimited raw_data\yearly_LFPRs.txt, clear case(preserve)

rename ÿþdate date
tsset date
gen time = date-1990


***************************************************
*****************Remove Time trend*****************
***************************************************

reg W_D_M_15_19 time
predict c_W_D_M_15_19, re

reg W_D_M_20_24 time
predict c_W_D_M_20_24, re

reg W_D_M_25_29 time
predict c_W_D_M_25_29, re

reg W_D_M_30_34 time
predict c_W_D_M_30_34, re

reg W_D_M_35_39 time
predict c_W_D_M_35_39, re

reg W_D_M_40_44 time
predict c_W_D_M_40_44, re

reg W_D_M_45_49 time
predict c_W_D_M_45_49, re

reg W_D_M_50_54 time
predict c_W_D_M_50_54, re

reg W_D_M_55_59 time
predict c_W_D_M_55_59, re

reg W_D_M_60_64 time
predict c_W_D_M_60_64, re

reg W_D_M_ab_65 time
predict c_W_D_M_ab_65, re


reg W_D_F_15_19 time
predict c_W_D_F_15_19, re

reg W_D_F_20_24 time
predict c_W_D_F_20_24, re

reg W_D_F_25_29 time
predict c_W_D_F_25_29, re

reg W_D_F_30_34 time
predict c_W_D_F_30_34, re

reg W_D_F_35_39 time
predict c_W_D_F_35_39, re

reg W_D_F_40_44 time
predict c_W_D_F_40_44, re

reg W_D_F_45_49 time
predict c_W_D_F_45_49, re

reg W_D_F_50_54 time
predict c_W_D_F_50_54, re

reg W_D_F_55_59 time
predict c_W_D_F_55_59, re

reg W_D_F_60_64 time
predict c_W_D_F_60_64, re

reg W_D_F_ab_65 time
predict c_W_D_F_ab_65, re


reg W_A_M_15_19 time
predict c_W_A_M_15_19, re

reg W_A_M_20_24 time
predict c_W_A_M_20_24, re

reg W_A_M_25_29 time
predict c_W_A_M_25_29, re

reg W_A_M_30_34 time
predict c_W_A_M_30_34, re

reg W_A_M_35_39 time
predict c_W_A_M_35_39, re

reg W_A_M_40_44 time
predict c_W_A_M_40_44, re

reg W_A_M_45_49 time
predict c_W_A_M_45_49, re

reg W_A_M_50_54 time
predict c_W_A_M_50_54, re

reg W_A_M_55_59 time
predict c_W_A_M_55_59, re

reg W_A_M_60_64 time
predict c_W_A_M_60_64, re

reg W_A_M_ab_65 time
predict c_W_A_M_ab_65, re


reg W_A_F_15_19 time
predict c_W_A_F_15_19, re

reg W_A_F_20_24 time
predict c_W_A_F_20_24, re

reg W_A_F_25_29 time
predict c_W_A_F_25_29, re

reg W_A_F_30_34 time
predict c_W_A_F_30_34, re

reg W_A_F_35_39 time
predict c_W_A_F_35_39, re

reg W_A_F_40_44 time
predict c_W_A_F_40_44, re

reg W_A_F_45_49 time
predict c_W_A_F_45_49, re

reg W_A_F_50_54 time
predict c_W_A_F_50_54, re

reg W_A_F_55_59 time
predict c_W_A_F_55_59, re

reg W_A_F_60_64 time
predict c_W_A_F_60_64, re

reg W_A_F_ab_65 time
predict c_W_A_F_ab_65, re


reg O_D_M_15_19 time
predict c_O_D_M_15_19, re

reg O_D_M_20_24 time
predict c_O_D_M_20_24, re

reg O_D_M_25_29 time
predict c_O_D_M_25_29, re

reg O_D_M_30_34 time
predict c_O_D_M_30_34, re

reg O_D_M_35_39 time
predict c_O_D_M_35_39, re

reg O_D_M_40_44 time
predict c_O_D_M_40_44, re

reg O_D_M_45_49 time
predict c_O_D_M_45_49, re

reg O_D_M_50_54 time
predict c_O_D_M_50_54, re

reg O_D_M_55_59 time
predict c_O_D_M_55_59, re

reg O_D_M_60_64 time
predict c_O_D_M_60_64, re

reg O_D_M_ab_65 time
predict c_O_D_M_ab_65, re


reg O_D_F_15_19 time
predict c_O_D_F_15_19, re

reg O_D_F_20_24 time
predict c_O_D_F_20_24, re

reg O_D_F_25_29 time
predict c_O_D_F_25_29, re

reg O_D_F_30_34 time
predict c_O_D_F_30_34, re

reg O_D_F_35_39 time
predict c_O_D_F_35_39, re

reg O_D_F_40_44 time
predict c_O_D_F_40_44, re

reg O_D_F_45_49 time
predict c_O_D_F_45_49, re

reg O_D_F_50_54 time
predict c_O_D_F_50_54, re

reg O_D_F_55_59 time
predict c_O_D_F_55_59, re

reg O_D_F_60_64 time
predict c_O_D_F_60_64, re

reg O_D_F_ab_65 time
predict c_O_D_F_ab_65, re


reg O_A_M_15_19 time
predict c_O_A_M_15_19, re

reg O_A_M_20_24 time
predict c_O_A_M_20_24, re

reg O_A_M_25_29 time
predict c_O_A_M_25_29, re

reg O_A_M_30_34 time
predict c_O_A_M_30_34, re

reg O_A_M_35_39 time
predict c_O_A_M_35_39, re

reg O_A_M_40_44 time
predict c_O_A_M_40_44, re

reg O_A_M_45_49 time
predict c_O_A_M_45_49, re

reg O_A_M_50_54 time
predict c_O_A_M_50_54, re

reg O_A_M_55_59 time
predict c_O_A_M_55_59, re

reg O_A_M_60_64 time
predict c_O_A_M_60_64, re

reg O_A_M_ab_65 time
predict c_O_A_M_ab_65, re


reg O_A_F_15_19 time
predict c_O_A_F_15_19, re

reg O_A_F_20_24 time
predict c_O_A_F_20_24, re

reg O_A_F_25_29 time
predict c_O_A_F_25_29, re

reg O_A_F_30_34 time
predict c_O_A_F_30_34, re

reg O_A_F_35_39 time
predict c_O_A_F_35_39, re

reg O_A_F_40_44 time
predict c_O_A_F_40_44, re

reg O_A_F_45_49 time
predict c_O_A_F_45_49, re

reg O_A_F_50_54 time
predict c_O_A_F_50_54, re

reg O_A_F_55_59 time
predict c_O_A_F_55_59, re

reg O_A_F_60_64 time
predict c_O_A_F_60_64, re

reg O_A_F_ab_65 time
predict c_O_A_F_ab_65, re
***************************************
save "data_formatting\lfpr_signi_testing.dta", replace
***************************************

keep date c*


reshape long c_, i(date) j(group_notrend) string


rename group groupstring

encode groupstring, gen(group)

merge 1:1 date group using "data_formatting\Bev_shares.dta"
drop _merge

merge 1:1 date group using "data_formatting\abs_Bev.dta"
drop _merge

merge n:1 date using "data_formatting\Gesamtbev"
drop _merge

merge n:1 date using "data_formatting\unemployment_rate_yearly.dta"
drop _merge


*Remove people above 65
forvalues i = 1 2 : 8{
drop if group== `i'*11
}


rename UR ABLQ



keep date groupstring c_ group Bev_ abs_Bev ABLQ Gesamtbev

xtset group date


******* Generating various variables and dummies that are needed later

gen delta_ABLQ = d.ABLQ
gen lag = L.c_
gen lag_ABLQ = L.ABLQ

gen age_15 = 0

forvalues i = 0 1 : 7{

replace age_15 =1 if group== 1 + `i'*11 
}

gen age_20 = 0

forvalues i = 0 1 : 7{

replace age_20 =1 if group== 2 + `i'*11 
}

gen age_25 = 0

forvalues i = 0 1 : 7{

replace age_25 =1 if group== 3 + `i'*11 
}

gen age_30 = 0

forvalues i = 0 1 : 7{

replace age_30 =1 if group== 4 + `i'*11 
}

gen age_35 = 0

forvalues i = 0 1 : 7{

replace age_35 =1 if group== 5 + `i'*11 
}

gen age_40 = 0

forvalues i = 0 1 : 7{

replace age_40 =1 if group== 6 + `i'*11 
}

gen age_45 = 0

forvalues i = 0 1 : 7{

replace age_45 =1 if group== 7 + `i'*11 
}

gen age_50 = 0

forvalues i = 0 1 : 7{

replace age_50 =1 if group== 8 + `i'*11 
}

gen age_55 = 0

forvalues i = 0 1 : 7{

replace age_55 =1 if group== 9 + `i'*11 
}

gen age_60 = 0

forvalues i = 0 1 : 7{

replace age_60 =1 if group== 10 + `i'*11 
}

gen age_65 = 0


***age_scale is from 1 to 10 where 1 is 15-19 and 10 above 60-64 years of age

gen age_scale = 0
replace age_scale = 1 if age_15==1
replace age_scale = 2 if age_20==1
replace age_scale = 3 if age_25==1
replace age_scale = 4 if age_30==1
replace age_scale = 5 if age_35==1
replace age_scale = 6 if age_40==1
replace age_scale = 7 if age_45==1
replace age_scale = 8 if age_50==1
replace age_scale = 9 if age_55==1
replace age_scale = 10 if age_60==1



*** create 3 age groups

gen dummy_young = 0
forvalues i = 0 1 : 7{

replace dummy_young =1 if group== 1 + `i'*11 
replace dummy_young =1 if group== 2 + `i'*11 
replace dummy_young =1 if group== 3 + `i'*11 
}

gen dummy_medium =0
forvalues i = 0 1 : 7{

replace dummy_medium =1 if group== 4 + `i'*11 
replace dummy_medium =1 if group== 5 + `i'*11 
replace dummy_medium =1 if group== 6 + `i'*11 
replace dummy_medium =1 if group== 7 + `i'*11 
replace dummy_medium =1 if group== 8 + `i'*11
}



gen dummy_old = 0
forvalues i = 0 1 : 7{
 
replace dummy_old =1 if group== 9 + `i'*11 
replace dummy_old =1 if group== 10 + `i'*11 
}


*Gender dummy, women = 1

gen dummy_gender = 0

forvalues i = 1 2 : 9 {

replace dummy_gender= 1 if group== `i'
}

forvalues i = 23 24 : 33 {

replace dummy_gender= 1 if group== `i'
} 

forvalues i = 45 46 : 55 {
replace dummy_gender= 1 if group== `i'
} 

forvalues i = 67 68 : 77 {
replace dummy_gender= 1 if group== `i'
} 



***dummy_East = 1 if East-Germany

gen dummy_East=0

forvalues i = 1 2 :44 {
replace dummy_East=1 if group == `i'
}



**equals 1 if it is a non-German

gen dummy_citizenship = 0

forvalues i = 1 2 : 22 {
replace dummy_citizenship=1 if group == `i'
}

forvalues i = 45 46 : 66 {
replace dummy_citizenship=1 if group == `i'
}





*Define groups

* reserve_dummy is 0 if the group is not part of the discouraged 
* workers and 1 otherwise, the same applies to added_dummy

gen reserve_dummy = 0
replace reserve_dummy =1 if group == 1| group == 2| group== 12| group == 13| group== 18 | group== 19 | ///
group== 24 | group == 25 | group== 26 | group == 32| group== 43 | ///
group == 45| group== 46  | group== 47| group== 49 | ///
group == 54| group== 56  | group== 57| group== 61 | ///
group == 63| group == 64| group == 65 | group== 76 | group == 87

gen added_dummy = 0
replace added_dummy = 1 if  group == 37 | ///
group == 69 | group== 70 | group == 71 | group == 72 | group == 73 | group == 74 | ///
group == 81 | group== 82

*************** end of data formatting

*save "data_formatting\yearly_dataset.dta", replace
