clear all

cd C:\Users\Sandro\Desktop\Data_Archive

import delimited raw_data\quarterly_LFPRs.txt,varnames(1) clear case(preserve)
rename ÿþdate date

drop date
generate date_count = tq(2005q1) + _n-1
gen date = date_count
format %tq date
order date
gen time = date_count - 179
tsset date

***************************************************
*****************Rename*****************
***************************************************

rename	W_D_M_15_19		c_W_D_M_15_19
rename	W_D_M_20_24		c_W_D_M_20_24
rename	W_D_M_25_29		c_W_D_M_25_29
rename	W_D_M_30_34		c_W_D_M_30_34
rename	W_D_M_35_39		c_W_D_M_35_39
rename	W_D_M_40_44		c_W_D_M_40_44
rename	W_D_M_45_49		c_W_D_M_45_49
rename	W_D_M_50_54		c_W_D_M_50_54
rename	W_D_M_55_59		c_W_D_M_55_59
rename	W_D_M_60_64		c_W_D_M_60_64
rename	W_D_M_ab_65		c_W_D_M_ab_65
			
rename	W_D_F_15_19		c_W_D_F_15_19
rename	W_D_F_20_24		c_W_D_F_20_24
rename	W_D_F_25_29		c_W_D_F_25_29
rename	W_D_F_30_34		c_W_D_F_30_34
rename	W_D_F_35_39		c_W_D_F_35_39
rename	W_D_F_40_44		c_W_D_F_40_44
rename	W_D_F_45_49		c_W_D_F_45_49
rename	W_D_F_50_54		c_W_D_F_50_54
rename	W_D_F_55_59		c_W_D_F_55_59
rename	W_D_F_60_64		c_W_D_F_60_64
rename	W_D_F_ab_65		c_W_D_F_ab_65
			
rename	W_A_M_15_19		c_W_A_M_15_19
rename	W_A_M_20_24		c_W_A_M_20_24
rename	W_A_M_25_29		c_W_A_M_25_29
rename	W_A_M_30_34		c_W_A_M_30_34
rename	W_A_M_35_39		c_W_A_M_35_39
rename	W_A_M_40_44		c_W_A_M_40_44
rename	W_A_M_45_49		c_W_A_M_45_49
rename	W_A_M_50_54		c_W_A_M_50_54
rename	W_A_M_55_59		c_W_A_M_55_59
rename	W_A_M_60_64		c_W_A_M_60_64
rename	W_A_M_ab_65		c_W_A_M_ab_65
			
rename	W_A_F_15_19		c_W_A_F_15_19
rename	W_A_F_20_24		c_W_A_F_20_24
rename	W_A_F_25_29		c_W_A_F_25_29
rename	W_A_F_30_34		c_W_A_F_30_34
rename	W_A_F_35_39		c_W_A_F_35_39
rename	W_A_F_40_44		c_W_A_F_40_44
rename	W_A_F_45_49		c_W_A_F_45_49
rename	W_A_F_50_54		c_W_A_F_50_54
rename	W_A_F_55_59		c_W_A_F_55_59
rename	W_A_F_60_64		c_W_A_F_60_64
rename	W_A_F_ab_65		c_W_A_F_ab_65
			
rename	O_D_M_15_19		c_O_D_M_15_19
rename	O_D_M_20_24		c_O_D_M_20_24
rename	O_D_M_25_29		c_O_D_M_25_29
rename	O_D_M_30_34		c_O_D_M_30_34
rename	O_D_M_35_39		c_O_D_M_35_39
rename	O_D_M_40_44		c_O_D_M_40_44
rename	O_D_M_45_49		c_O_D_M_45_49
rename	O_D_M_50_54		c_O_D_M_50_54
rename	O_D_M_55_59		c_O_D_M_55_59
rename	O_D_M_60_64		c_O_D_M_60_64
rename	O_D_M_ab_65		c_O_D_M_ab_65
			
rename	O_D_F_15_19		c_O_D_F_15_19
rename	O_D_F_20_24		c_O_D_F_20_24
rename	O_D_F_25_29		c_O_D_F_25_29
rename	O_D_F_30_34		c_O_D_F_30_34
rename	O_D_F_35_39		c_O_D_F_35_39
rename	O_D_F_40_44		c_O_D_F_40_44
rename	O_D_F_45_49		c_O_D_F_45_49
rename	O_D_F_50_54		c_O_D_F_50_54
rename	O_D_F_55_59		c_O_D_F_55_59
rename	O_D_F_60_64		c_O_D_F_60_64
rename	O_D_F_ab_65		c_O_D_F_ab_65
			
rename	O_A_M_15_19		c_O_A_M_15_19
rename	O_A_M_20_24		c_O_A_M_20_24
rename	O_A_M_25_29		c_O_A_M_25_29
rename	O_A_M_30_34		c_O_A_M_30_34
rename	O_A_M_35_39		c_O_A_M_35_39
rename	O_A_M_40_44		c_O_A_M_40_44
rename	O_A_M_45_49		c_O_A_M_45_49
rename	O_A_M_50_54		c_O_A_M_50_54
rename	O_A_M_55_59		c_O_A_M_55_59
rename	O_A_M_60_64		c_O_A_M_60_64
rename	O_A_M_ab_65		c_O_A_M_ab_65
			
rename	O_A_F_15_19		c_O_A_F_15_19
rename	O_A_F_20_24		c_O_A_F_20_24
rename	O_A_F_25_29		c_O_A_F_25_29
rename	O_A_F_30_34		c_O_A_F_30_34
rename	O_A_F_35_39		c_O_A_F_35_39
rename	O_A_F_40_44		c_O_A_F_40_44
rename	O_A_F_45_49		c_O_A_F_45_49
rename	O_A_F_50_54		c_O_A_F_50_54
rename	O_A_F_55_59		c_O_A_F_55_59
rename	O_A_F_60_64		c_O_A_F_60_64
rename	O_A_F_ab_65		c_O_A_F_ab_65
*************


keep date c*
reshape long c_, i(date) j(group_notrend) string
rename group groupstring
encode groupstring, gen(group)
merge 1:1 date group using "data_formatting\quarterly_Bev.dta"
drop _merge
rename Bev Bev_

*Remove People above 65
forvalues i = 1 2 : 8{
drop if group== `i'*11
}

merge n:1 date using "data_formatting\unemployment_rate_quarterly.dta"
drop _merge

xtset group date

*** define further necessary variables

gen q1 = 0
forvalues i = 1/12 {
replace q1 = 1 if date_count == 176 + 4 * `i'
}

gen q2 = 0
forvalues i = 1/12 {
replace q2 = 1 if date_count == 177 + 4 * `i'
}

gen q3 = 0
forvalues i = 1/12 {
replace q3 = 1 if date_count == 178 + 4 * `i'
}


gen reserve_dummy = 0
replace reserve_dummy =1 if group == 1| group == 2| group== 12| group == 13| group== 18 | group== 19 | ///
group== 24 | group == 25 | group== 26 | group == 32| group== 43 | ///
group == 45| group== 46  | group== 47| group== 49 | ///
group == 54| group== 56  | group== 57| group== 61 | ///
group == 63| group == 64| group == 65 | group== 76 | group == 87

gen added_dummy = 0
replace added_dummy = 1 if  group == 37 | ///
group == 69 | group== 70 | group == 71 | group == 72 | group == 73 | group == 74 | ///
group == 81 | group== 82



*save "data_formatting\quarterly_dataset.dta", replace
